<html lang="en">
<head>
<title>Extending - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Customizing.html#Customizing" title="Customizing">
<link rel="next" href="Index.html#Index" title="Index">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Extending"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Index.html#Index">Index</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Customizing.html#Customizing">Customizing</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">7 Extending</h2>

<p><a name="index-extending-66"></a>
Speedbar can run different types of Major display modes such as Files
(see <a href="File-Mode.html#File-Mode">File Mode</a>), and Buffers (see <a href="Buffer-Mode.html#Buffer-Mode">Buffer Mode</a>).  It can also manage
different minor display modes for use with buffers handling specialized
data.

   <p>These major and minor display modes are handled through an extension
system which permits specialized keymaps and menu extensions, in
addition to a unique rendering function.  You can also specify a wide
range of tagging functions.  The default uses <code>imenu</code>, but new
tagging methods can be easily added.  In this chapter, you will
learn how to write your own major or minor display modes, and how to
create specialized tagging functions.

<ul class="menu">
<li><a accesskey="1" href="Minor-Display-Modes.html#Minor-Display-Modes">Minor Display Modes</a>:     How to create a minor display mode. 
<li><a accesskey="2" href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a>:     How to create a major display mode. 
<li><a accesskey="3" href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a>:      How to create your own tagging methods. 
<li><a accesskey="4" href="Creating-a-display.html#Creating-a-display">Creating a display</a>:      How to insert buttons and hierarchies. 
</ul>

   </body></html>

